<!-- Example widget for demonstration  -->
<script lang="ts">
	import { onMount } from 'svelte';
	import { streamerApi } from '$lib/requests/requests';
	import { page } from '$app/stores';
	import type { Streamer } from '$lib/api';
	import { ws } from '$lib/config';
	import Counter from '../Counter..svelte';
	import ReconnectingWebSocket from 'reconnecting-websocket';

	// This URI should work : http://localhost:5173/cagnotte-globale

	let pot: number = 0;

	onMount(async () => {
		// Start WS
		const socket = new ReconnectingWebSocket(ws());

		socket.addEventListener('open', function (event) {
			socket.send(JSON.stringify({ op: 'sub', msg: `pot` }));
		});

		socket.addEventListener('message', function (event) {
			let data = JSON.parse(event.data);

			switch (data.r) {
				case `pot`:
					pot = data.d.pot;
					break;
				case `refresh`:
					// Refresh the page
					setTimeout(() => {
						window.location.reload();
					}, Math.random() * 1000);
					break;
			}
		});
	});
</script>

<div class="flex flex-col justify-center items-center">
	<div class="flex flex-row text-3xl red-hat text-white">
		<div class="flex flex-row text-3xl red-hat">
			<Counter amount={pot} /> €
		</div>
	</div>
</div>

<style lang="scss">
	@import url('https://fonts.googleapis.com/css2?family=Red+Hat+Mono:wght@700&display=swap');
	.red-hat {
		font-family: 'Red Hat Mono', monospace;
		font-optical-sizing: auto;
		font-weight: 700;
		font-style: normal;
	}
</style>
